//      vpat_app.h:     Header for vpatviewApp class
//=======================================================================

#ifndef VPAT_APP_H
#define VPAT_APP_H

// Include standard V files as needed

#ifdef vDEBUG
#include <v/vdebug.h>
#endif

#include <v/vapp.h>
#include <v/vawinfo.h>

#include "vpat_cmd.h"   // we use vpatviewCommandWindow

    class vpatviewApp : public vApp
      {
        friend int AppMain(int, char**);        // allow AppMain access

      public:           //---------------------------------------- public

        vpatviewApp(char* name, int sdi = 0, int h = 0, int w = 0);
        virtual ~vpatviewApp();

        // Routines from vApp that are normally overridden

        virtual vWindow* NewAppWin(vWindow* win, char* name, int w, int h,
                vAppWinInfo* winInfo);

        virtual void Exit(void);

        virtual void CloseAppWin(vWindow*);

        virtual void AppCommand(vWindow* win, ItemVal id, ItemVal val, 
                CmdType cType);

        virtual void KeyIn(vWindow*, vKey, unsigned int);

        // New routines for this particular app

      protected:        //--------------------------------------- protected

      private:          //--------------------------------------- private

        vpatviewCmdWindow* _vpatviewCmdWin;     // Pointer to instance of 
                                                // first window

      };
#endif

