//========================================================================
//  vpat_abt.cpp
//========================================================================
//

#include "vpat_abt.h"             // our header file
#include <v/vnotice.h>
#include <v/vicon.h>

// A pretty V logo (from viconed, see the V distribution)
#include "buttons/v.vbm"
    static vIcon vlogoI(&v_bits[0],v_height,v_width);

    static CommandObject DefaultCmds[] =
      {
        {C_Label,101,0,"  Dummy  ",NoList,CA_MainMsg,isSens,NoFrame,0,0},
        {C_Icon,102,0,"vpatview",&vlogoI,CA_None,isSens,NoFrame,0,101},
        {C_Label,103,0,"version 0.3.6",NoList,CA_None,isSens,NoFrame,0,102},
        {C_Button,M_OK,M_OK,"   OK   ",NoList,CA_DefaultButton,
                isSens,NoFrame,notUsed,103},

        {C_EndOfList,0,0,0,0,CA_None,0,0,0}
      };


//=============>>> aboutModalDialog::aboutModalDialog <<<=================
  aboutModalDialog::aboutModalDialog(vBaseWindow* bw) :
    vModalDialog(bw)
  {
    AddDialogCmds(DefaultCmds);         // add the predefined commands
  }

//=============>>> aboutModalDialog::~aboutModalDialog <<<================
  aboutModalDialog::~aboutModalDialog()
  {
  }

//===================>>> aboutModalDialog::DialogCommand <<<==================
  void aboutModalDialog::DialogCommand(ItemVal id,ItemVal retval,CmdType ctype)
  {
    // After the user has selected a command from the dialog,
    // this routine is called with the id and retval.

    // let default behavior handle Cancel and OK
    vModalDialog::DialogCommand(id,retval,ctype);
  }



