//
//
//


#ifndef _VPAT_IO_H
#define _VPAT_IO_H

#include "vpat_def.h"

//
// Interface functions for I/O
//

int vpat_ReadChart(vpat_chart *pat, char *name);
char *vpat_IOErrString(int err);

//
// Error values and helper function for the pattern import
//

#define VPATIO_OK 0
#define VPATIO_UNKNOWN -1
#define VPATIO_OPEN -2
#define VPATIO_READ -3
#define VPATIO_WRITE -4
#define VPATIO_MALLOC -5
#define VPATIO_SHORT -6
#define VPATIO_UNSUPPORTED -7

// someone passed a bad handle to a ReadXXX() function
#define VPATIO_BADPAT -100

#endif
